<?php

# Development mode
define('EVR_DEBUG', true);

/**
 * Easy Video Review SaaS Base URL
 * Please don't change this URL, otherwise you will lose your access to EVR
 */

# Helper constants  
define('EVR_PATH', plugin_dir_path(EasyVideoReviews));
define('EVR_URL', plugin_dir_url(EasyVideoReviews));

# For quick access 
define('EVR_INCLUDES', EVR_PATH . 'includes/');
define('EVR_TEMPLATES', EVR_PATH . 'templates/');
define('EVR_PUBLIC', EVR_URL . 'public/');


/**
 * Please don't make any changes
 * Otherwise it may break your whole website
 */

/**
 * Requiring the core files
 */

# Procedural functions 
require_once EVR_INCLUDES . 'helper/Functions.php';

# Helper Trait
require_once EVR_INCLUDES . 'helper/Helper.php';

# Base Application
require_once EVR_INCLUDES . 'core/App.php';

# Base Controller
require_once EVR_INCLUDES . 'core/Controller.php';

# Authentication Controller
require_once EVR_INCLUDES . 'core/Auth.php';

# Base Extension
require_once EVR_INCLUDES . 'core/Extension.php';




/**
 * Loading admin classes
 */

# Admin hooks
// if (is_admin()) {
    require_once EVR_INCLUDES . 'WPPOOL/Plugin.php';
    
    # Appsero Client
    require_once EVR_INCLUDES . 'appsero/Client.php';

    # Admin hooks
    require_once EVR_INCLUDES . 'admin/Hooks.php';
  
    # Admin ajax hooks
    add_action( 'plugins_loaded', function() {
        if ( wp_doing_ajax() ) {
            require_once EVR_INCLUDES . 'admin/Ajax.php';
        }
    });    

    # WPPOOL Product Library 
    
// }


/**
 * Loading public classes 
 */


# Installation
require_once EVR_INCLUDES . 'classes/Install.php';

# Public hooks
require_once EVR_INCLUDES . 'classes/Hooks.php';

# Public Client
require_once EVR_INCLUDES . 'classes/Client.php';

# Single review
require_once EVR_INCLUDES . 'classes/Review.php';

# Shortcode
require_once EVR_INCLUDES . 'classes/Shortcode.php';


/** 
 * Manipulating these file won't make your plugin PRO as it's being managed from a remote server.
 * If you do, this may break your site
 */

/**
 * Loading built in extensions 
 */

 # Gutenberg Block
require_once EVR_INCLUDES . 'Gutenberg/Init.php';

# Elementor Widgets
require_once EVR_INCLUDES . 'Elementor/Init.php';

# Built-in Extensions
include_once EVR_INCLUDES . 'extensions/woocommerce.php';

include_once EVR_INCLUDES . 'extensions/easy-digital-downloads.php';
