<?php

namespace EasyVideoReviews;

if (!class_exists("\EasyVideoReviews\ElementorInit")) {
    class ElementorInit
    {
        public function __construct()
        {
            add_action("elementor/widgets/widgets_registered", [$this, 'add_evr_elementor_widgets'], 99);  
            add_action("elementor/editor/before_enqueue_scripts", [$this, 'evr_elementor_before_enqueue_scripts']); 
        }

        public function add_evr_elementor_widgets()
        {            
            require_once __DIR__ . '/Button.php';
            require_once __DIR__ . '/Showcase.php';
            global $evr_folders;
            $evr_folders = \EasyVideoReviews\App::folders(); 

            \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new \EasyVideoReviews\EVR_ElementorButtons());
            \Elementor\Plugin::instance()->widgets_manager->register_widget_type(new \EasyVideoReviews\EVR_ElementorShowcase());
        }

         /**
         * Elementor before scripts add custom icon class 
         */
        function evr_elementor_before_enqueue_scripts()
        {
            echo '<style>';
            echo '
        .evr-logo-icon {
        width: 25px;
        height: 20px;
        display: inline-block;
        margin: auto;
        background-image: url(\'' . EVR_PUBLIC . '/images/evr.svg\') !important;
        background-size: 100%;
        }';
            echo '</style>';
        }
    }

    new ElementorInit();
}
