<?php

/**
 * Built-in Easy Video Reviews Extension
 * WooCommerce Integration
 */

namespace EasyVideoReviews;

class EasyDigitalDownloads extends \EasyVideoReviews\Extension
{
    public function id()
    {
        return 'edd';
    }
    public function name()
    {
        return __('Easy Digital Downloads', 'easy-video-reviews');
    }
    public function icon_url()
    {
        return EVR_PUBLIC . 'images/icons/edd.png';
    }
    public function form()
    {
        echo wp_kses_post( $this->view('admin/integrations/built-in/easy-digital-downloads') ) ;
        echo wp_kses_post( $this->view('admin/integrations/built-in/email-footer', [], false) );
    }  

    public function options()
    {
        return [ 
            'order_complete_button' => true,
            'order_complete_email' => true,
        ];
    }

    public function script()
    {
        return [
            'is_active' => class_exists('\Easy_Digital_Downloads'),
        ];
    }
}

EasyDigitalDownloads::init(); 