<v-section v-if="isScreen('subscription')">

    <!-- subscription information -->
    <div class="text-sm grid grid-cols-1 gap-5 mt-6 mb-10" :class="{
        'sm:grid-cols-3' : subscription,
        'sm:grid-cols-2' : !subscription,
    }">
        <!-- current plan  -->

        <block small v-if="subscription">
            <v-title>
                <?php echo __('Current Plan', 'easy-video-reviews'); ?>
                <span v-if="isPro" class="bg-green-50 text-green-600 px-2 py-1 border border-green-200 text-sm rounded-sm"><span class="dashicons dashicons-awards text-sm"></span>{{currentPlan.name || 'Custom'}}</span>
                <span v-else class="bg-orange-50 text-orange-600 px-2 py-1 border border-orange-200 text-xs rounded-sm cursor-pointer" @click.prevent="setScreen('plans')">Upgrade</span>
            </v-title>

            <div class="flex flex-col gap-3 text-gray-700">
                <div>
                    <?php echo __('Upto ', 'easy-video-reviews'); ?>
                    <strong>{{(subscription.max_websites || '-1').toString().replace('-1', 'unlimited')}}</strong>
                    <?php echo __('website(s)', 'easy-video-reviews'); ?>
                </div>

                <div>
                    <?php echo __('Upto', 'easy-video-reviews'); ?>
                    <strong>{{getMinutes(subscription.max_video_length || 120) }}</strong>
                    <?php echo __('minutes recording', 'easy-video-reviews'); ?>
                </div>

                <div>
                    <?php echo __('Upto', 'easy-video-reviews'); ?>
                    <strong>{{subscription.max_reviews.toString().replace('-1', 'unlimited')}}</strong>
                    <?php echo __('reviews', 'easy-video-reviews'); ?>
                </div>

                <div>
                    <?php echo __('Upto', 'easy-video-reviews'); ?>
                    <strong>{{(subscription.max_reviews_per_month || '-1').toString().replace('-1', 'unlimited')}}</strong>
                    <?php echo __('videos each month', 'easy-video-reviews'); ?>
                </div>

                <div>
                    <?php echo __('Upto', 'easy-video-reviews'); ?>
                    <strong>{{((subscription.max_video_size) / 1024).toFixed(2)}} GB</strong>
                    <?php echo __('each file size', 'easy-video-reviews'); ?>
                </div>


            </div>

        </block>


        <!-- current subscription  -->

        <block small>
           
            <v-title> <?php echo __('Billing', 'easy-video-reviews'); ?> </v-title>

            <div class="flex flex-col gap-2">

                <row no_margin>
                    <col-label small><?php echo __('Is Trial', 'easy-video-reviews'); ?></col-label>
                    <div class="w-full">{{subscription.is_trial ? 'Yes' : 'No' }}</div>
                </row>

                <row no_margin v-if="subscription.is_trial && subscription.trial_end">
                    <col-label small><?php echo __('Trial Ends', 'easy-video-reviews'); ?></col-label>
                    <div class="w-full">{{moment(subscription.trial_end).format('lll')}}</div>
                </row>

                <row no_margin>
                    <col-label small><?php echo __('Payable', 'easy-video-reviews'); ?></col-label>
                    <div class="w-full">
                        <strong> ${{subscription.billing_amount || 0}}</strong> /{{subscription.billing_interval}}
                    </div>
                </row>

                <row no_margin>
                    <col-label small><?php echo __('Method', 'easy-video-reviews'); ?></col-label>
                    <div class="w-full">{{subscription.stripe_customer_id ? 'Stripe' : 'Manual'}}</div>
                </row>

                <row no_margin v-if="subscription.billing_started_at">
                    <col-label small><?php echo __('Started on', 'easy-video-reviews'); ?></col-label>
                    <div class="w-full"> {{moment(subscription.billing_started_at).format('lll')}} </div>
                </row>

                <row no_margin v-if="subscription.plan_updated_at">
                    <col-label small><?php echo __('Updated at', 'easy-video-reviews'); ?></col-label>
                    <div class="w-full"> {{moment(subscription.plan_updated_at).format('lll')}} </div>
                </row>

                <div class="mt-4 flex items-center" if="subscription && subscription.id">
                    <v-button size="sm" :loading="temp.redirectingToPortal" message="Redirecting..." @click.prevent="manageSubscription"><?php echo __('Manage subscription', 'easy-video-reviews'); ?></v-button>
                </div>
            </div>
        </block>



        <!-- usage  -->
        <block small v-if="subscription && websites">        
            <v-title>Quick Overview</v-title>
            <block small>
                <v-progress :max="subscription.max_reviews || 20" :value="profile.total_reviews">Reviews Uploaded</v-progress>
            </block>
            <block small>
                <v-progress :max="subscription.max_reviews_per_month || 20" :value="profile.total_reviews_this_month">Reviews Uploaded in <?php echo date('F'); ?></v-progress>
            </block>
            <block small>
                <v-progress :max="subscription.max_websites || 1" :value="profile.total_websites">Total Websites Added</v-progress>
            </block>
        </block>

    </div>



</v-section>