<v-section v-if="isScreen('websites') && websites">

    <!-- top navigation  -->

    <row class="justify-between">
        <v-title no_margin><?php echo wp_sprintf('Total %s website(s)', '{{getWebsites.length}}'); ?></v-title>
        <div class="flex gap-3 text-sm">
            <!-- All status  -->
            <div v-for="(value, website) in websitesStatuses">
                <span class="capitalize">{{website}}</span> <span class="text-gray-400">({{value}})</span>
            </div>
        </div>
    </row>

    <div class="flex flex-col border border-gray-100 rounded-sm">
        <div class="sm:-mx-6 lg:-mx-8">
            <div class="py-2 inline-block min-w-full sm:px-6 lg:px-8">
                <div class="">
                    <table class="min-w-full">
                        <thead class="border-b border-slate-50">
                            <tr>
                                <th scope="col" class="text-sm font-medium text-gray-700 px-6 py-4 text-left">
                                    <?php echo __('Website', 'easy-video-reviews') ?>
                                </th>
                                <!-- <th scope="col" class="text-sm font-medium text-gray-700 px-6 py-4 text-center">
                                    <?php echo __('Reviews', 'easy-video-reviews') ?>
                                </th> -->
                               
                                <th scope="col" class="text-sm font-medium text-gray-700 px-6 py-4 text-center">
                                    <?php echo __('Added on', 'easy-video-reviews') ?>
                                </th> 
                                <th scope="col" class="text-sm font-medium text-gray-700 px-6 py-4 text-center">
                                    <?php echo __('Status', 'easy-video-reviews') ?>
                                </th>
                                <th scope="col" class="text-sm font-medium text-gray-700 px-6 py-4 text-right">
                                    <?php echo __('Action', 'easy-video-reviews') ?>
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr class="border-b border-slate-100 last:border-none" v-for="website in getWebsites">

                                <td class="group text-sm text-gray-700  px-6 py-4 whitespace-nowrap">
                                    <div class="flex items-center gap-2">
                                        <span class="font-semibold">{{website.website}}</span>
                                        <a class="text-sky-600 opacity-0 group-hover:opacity-100 transition duration-75" :data-tooltip="`Go to ${website.website}`" :href="`https://${website.website}/`" target="_blank" rel="nofollow">
                                            <span class="dashicons dashicons-admin-links text-sm"></span>
                                        </a>
                                    </div>
                                </td>
                                <!-- <td class="group text-sm text-gray-700  px-6 py-4 whitespace-nowrap text-center">
                                    {{website.review_count || 0}}
                                    <a class="text-sky-600 opacity-0 group-hover:opacity-100 transition duration-75" data-tooltip="Access Reviews" :href="`https://${website.website}/wp-admin/admin.php?page=easy-video-reviews`" target="_blank" rel="nofollow">
                                        <span class="dashicons dashicons-format-gallery text-sm"></span>
                                    </a>
                                </td> -->
                                <td class="text-sm text-gray-700  px-6 py-4 whitespace-nowrap text-center">
                                    {{moment(website.created_at).format('MMMM DD, YYYY hh:mm A')}}
                                </td>
                                <td class="text-xs px-6 py-4 whitespace-nowrap text-center">
                                    <span :class="{
                                        'bg-green-50 text-green-600 border-green-300' : website.status === 'active',
                                        'bg-orange-50 text-orange-600 border-orange-300' : website.status === 'logout',
                                        'bg-red-50 text-red-600 border-red-300' : website.status === 'blacklisted', 
                                    }" class="w-20 px-3 py-1 rounded-sm text-center border capitalize">{{ website.status.replace('_', ' ')}}</span>
                                </td>

                                <!-- actions  -->
                                <td class="text-xs text-gray-700  px-6 py-4 whitespace-nowrap text-right">

                                    <div class="flex items-center gap-2 justify-end" v-if="website.website !== currentWebsite"> 

                                        <div class="relative" v-if="!website.deleted_at || website.status !== 'blacklisted'">
                                            <button @click.prevent="website.showMenu = !website.showMenu">
                                                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-three-dots-vertical" viewBox="0 0 16 16">
                                                    <path d="M9.5 13a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0zm0-5a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0zm0-5a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0z" />
                                                </svg>
                                            </button>

                                            <template v-if="website.showMenu">
                                                <div class="absolute right-2 font-medium top-full w-32 py-2 bg-white border border-gray-100 rounded-sm shadow flex text-xs flex-col items-end gap-2 justify-end">
                                                    <button v-if="website.status !== 'blacklisted'" class="text-slate-600 hover:text-blue-900 px-3" @click="addToBlacklist(website.id)">
                                                        <?php echo __('Add to Blacklist', 'easy-video-reviews') ?>
                                                    </button>

                                                    <!-- <button v-if="!website.deleted_at" class="text-red-600 hover:text-red-900 px-3" @click="updateWebsite(website.id, {deleted_at: true}); website.showMenu = false">
                                                        <?php echo __('Remove', 'easy-video-reviews') ?>
                                                    </button> -->
                                                </div>
                                            </template>

                                        </div>
 
                                    </div>

                                    <div class="text-xs text-slate-500">
                                        Current website can't be removed
                                    </div>

                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>


    <block class="prose my-6">
        If any website seems mysterious here, please report us at support@wppool.dev
    </block>

</v-section>