<!-- password section  -->
<v-section v-if="isScreen('password')">

    <v-title> <?php echo esc_html__('Change password', 'easy-video-reviews'); ?></v-title>

    <div class="mb-4 px-4 py-3 rounded-sm border border-gray-200 shadow-sm text-gray-500" :class="password.error ? ['bg-red-100'] : ['bg-gray-100']" v-show="password.message">
        {{password.message}}
    </div>

    <row center>
        <col-label><?php echo esc_html__('Old password', 'easy-video-reviews'); ?></col-label>
        <col>
        <input type="password" @change="password.oldEmpty = password.old_password ? false : true " class="form-input w-full" placeholder="Old Password" v-model="password.old_password" />
        <div class="mt-1 text-red-500 text-xs" v-if="oldEmpty && validPassword == 'old'">
            <?php echo esc_html__('Old password can\'t be empty', 'easy-video-reviews'); ?></div>
        </col>
    </row>

    <row small center>
        <col-label><?php echo esc_html__('New password', 'easy-video-reviews'); ?></col-label>
        <col>
        <row small>
            <input type="password" class="form-input w-full" placeholder="Enter password" v-model="password.new_password" />

            <input type="password" class="form-input w-full" placeholder="Re-enter password" v-model="password.new_password_2" />
        </row>
        <div class="mt-1 text-red-500 text-xs" v-if="password.new_password != '' && validPassword == 'password'">
            <?php echo esc_html__('Password must be atleast 8 character', 'easy-video-reviews'); ?></div>
        </col>
    </row>

    <row center class="mt-3 justify-between">
        <div>
            Don't know current password? <a href="javascript:;" @click.prevent="requestPasswordEmail" class="text-sky-500 hover:text-sky-600 transition">Request a new password</a> to your email. 
        </div>
        <v-button @click.prevent="changePassword" :loading="temp.changingPassword" message="Updating..."> <?php echo esc_html__('Change Password', 'easy-video-reviews'); ?></v-button>
    </row>

</v-section>