<v-section v-if="isScreen('profile')">

    <!-- top navigation  -->

    <v-title><?php echo esc_html__('Profile Settings', 'easy-video-reviews'); ?></v-title>

    <row>
        <col-label for="profile_first_name"><?php echo esc_html__('Name', 'easy-video-reviews'); ?></col-label>

        <div class="flex items-center gap-2 w-full">
            <input id="profile_first_name" type="text" class="form-input w-full" placeholder="First Name" v-model="profile.first_name" />
            <input type="text" class="form-input  w-full" placeholder="Last Name" v-model="profile.last_name" />
        </div>
    </row>

    <row>
        <col-label for="profile_email" data-tooltip="You can NOT change email here, please contact WPPOOL to change email."><?php echo esc_html__('Email', 'easy-video-reviews'); ?></col-label>

        <block no_margin>
            <input id="profile_email" type="text" class="form-input input-text bg-gray-100" placeholder="Email address" v-model="profile.email" disabled />
        </block>
    </row>

    <row>
        <col-label for="profile_phone"><?php echo esc_html__('Phone', 'easy-video-reviews'); ?></col-label>

        <block no_margin>
            <input id="profile_phone" type="text" class="form-input input-text" placeholder="Phone number" v-model="profile.phone" />
        </block>
    </row>

    <row>
        <col-label for="profile_company"><?php echo esc_html__('Company', 'easy-video-reviews'); ?></col-label>

        <block no_margin>
            <input id="profile_company" type="text" class="form-input input-text" placeholder="Company" v-model="profile.company" />
        </block>
    </row>

    <row>
        <col-label for="profile_company"></col-label>
        <block no_margin>
            Joined on {{moment(profile).format('lll')}}
        </block>
    </row>

    <!-- submit button  -->
    <row center class="mt-3 justify-between">
        <div>
            <button @click.prevent="logout()" class="rounded-sm py-1 px-3 border border-gray-100 bg-gray-100 hover:bg-red-400 hover:text-white"><?php echo esc_html__('Logout', 'easy-video-reviews'); ?></button>
        </div>
        <v-button @click.prevent="saveProfile" :loading="temp.savingProfile" message="Updating..."> <?php echo esc_html__('Update Profile', 'easy-video-reviews'); ?></v-button>
    </row>

</v-section>