<v-section class="w-96 bg-white border-r border-slate-100 scrollbar-thin scrollbar-thumb-gray-400 scrollbar-track-gray-100 transition duration-150"
:class="{
    '!top-7' : temp.navStickyOn
}"
>

    <div class="flex items-center justify-between mb-6">
        <h4 class="flex items-center gap-2 font-semibold text-base text-gray-700 tracking-wide mb-0"><?php echo __('Folders', 'easy-video-reviews'); ?> <span class="font-normal text-sm">({{review.folders.length || 0}})</span> </h4>
        <div>
            <v-button size="xs" @click.prevent="newFolder">
                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-folder-plus" viewBox="0 0 16 16">
                    <path d="m.5 3 .04.87a1.99 1.99 0 0 0-.342 1.311l.637 7A2 2 0 0 0 2.826 14H9v-1H2.826a1 1 0 0 1-.995-.91l-.637-7A1 1 0 0 1 2.19 4h11.62a1 1 0 0 1 .996 1.09L14.54 8h1.005l.256-2.819A2 2 0 0 0 13.81 3H9.828a2 2 0 0 1-1.414-.586l-.828-.828A2 2 0 0 0 6.172 1H2.5a2 2 0 0 0-2 2zm5.672-1a1 1 0 0 1 .707.293L7.586 3H2.19c-.24 0-.47.042-.683.12L1.5 2.98a1 1 0 0 1 1-.98h3.672z" />
                    <path d="M13.5 10a.5.5 0 0 1 .5.5V12h1.5a.5.5 0 1 1 0 1H14v1.5a.5.5 0 1 1-1 0V13h-1.5a.5.5 0 0 1 0-1H13v-1.5a.5.5 0 0 1 .5-.5z" />
                </svg>
                <?php echo __('Create', 'easy-video-reviews'); ?>
            </v-button>
        </div>
    </div>


    <!-- folder list  --> 
    <div class="flex flex-col gap-0.5">
        <div v-for="folder in availableFolders" class="flex items-center justify-between gap-2 hover:bg-slate-100 transition duration-150 px-2 cursor-pointer ring" :class="{
            'bg-slate-100': review.currentFolder === folder.id,
            'border-b border-slate-200 mb-2': 'trash' === folder.id,
            'pointer-events-none opacity-60': 'trash' === folder.disabled,
            'ring-sky-500' : temp.droppingFolder === folder.id,
            'ring-transparent' : temp.droppingFolder !== folder.id,
        }" 
        @click.prevent="setCurrentFolder(folder.id)" 
        @contextmenu.prevent="folder.freeze && folder.id !== 'trash' ? '' : folder.options = !folder.options"
    
        @keyup.delete.shift.prevent="deleteFolder(folder.id)" 
        tabindex="0" 

        @dragover.prevent="dragOver(folder)"
        @dragleave.prevent="dragLeave(folder)"

        @drop.prevent="drop(folder)" 
        @dragenter.prevent="dragEnter(folder)"  
         
        

        
        >
            <label class="flex items-center gap-2 text-sm py-1.5 w-full" :class="{
                'text-slate-700' : review.currentFolder === folder.id,
                'font-medium text-slate-500' : review.currentFolder !== folder.id,
            }">
                <svg xmlns="http://www.w3.org/2000/svg" class="fill-current w-4" :class="review.currentFolder === folder.id ? ['text-sky-700'] : ['text-slate-400']" viewBox="0 0 16 16">
                    <path v-if="folder.id === 'trash'" d="M2.5 1a1 1 0 0 0-1 1v1a1 1 0 0 0 1 1H3v9a2 2 0 0 0 2 2h6a2 2 0 0 0 2-2V4h.5a1 1 0 0 0 1-1V2a1 1 0 0 0-1-1H10a1 1 0 0 0-1-1H7a1 1 0 0 0-1 1H2.5zm3 4a.5.5 0 0 1 .5.5v7a.5.5 0 0 1-1 0v-7a.5.5 0 0 1 .5-.5zM8 5a.5.5 0 0 1 .5.5v7a.5.5 0 0 1-1 0v-7A.5.5 0 0 1 8 5zm3 .5v7a.5.5 0 0 1-1 0v-7a.5.5 0 0 1 1 0z" />

                    <path v-else d="M9.828 3h3.982a2 2 0 0 1 1.992 2.181l-.637 7A2 2 0 0 1 13.174 14H2.825a2 2 0 0 1-1.991-1.819l-.637-7a1.99 1.99 0 0 1 .342-1.31L.5 3a2 2 0 0 1 2-2h3.672a2 2 0 0 1 1.414.586l.828.828A2 2 0 0 0 9.828 3zm-8.322.12C1.72 3.042 1.95 3 2.19 3h5.396l-.707-.707A1 1 0 0 0 6.172 2H2.5a1 1 0 0 0-1 .981l.006.139z" />
                </svg>

                <div class="flex items-center gap-1">
                    <span @keypress.enter.prevent="saveRenameFolder(folder)" @dblclick.prevent="renameFolder(folder)" :ref="`folder_${folder.id}`" class="ring-1 rounded-sm px-2 py-1 placeholder-text-slate-300" :class="{
                        'ring-sky-600 ' : folder.renaming,
                        'ring-transparent ' : !folder.renaming,
                        'font-semibold' : !folder.renaming && review.currentFolder === folder.id
                    }" :contenteditable="folder.renaming" placeholder="Folder name" @keyup="folder.name = $event.target.textContent">{{folder.name || 'Untitled'}}</span>
                    <v-button size="xs" v-if="folder.renaming" @click.prevent="saveRenameFolder(folder)">
                        Done
                    </v-button>
                </div>
            </label>
            <div v-if="availableFolders && availableFolders.length" class="flex items-center gap-1 relative">
                <span class="w-6 h-5 rounded-sm flex items-center justify-center text-center text-xs" :class="review.currentFolder === folder.id ? ['bg-sky-700', 'text-white'] : ['bg-slate-50', 'text-slate-600']">{{folder.count || 0}}</span>
                <button v-if="!folder.freeze" @click.prevent="folder.options = !folder.options" class="pl-1">
                    <svg xmlns="http://www.w3.org/2000/svg" class="fill-current w-4" viewBox="0 0 16 16">
                        <path d="M9.5 13a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0zm0-5a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0zm0-5a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0z" />
                    </svg>
                </button>

                <!-- folder option  -->
                <div v-if="folder.options" ref="folder_options" class="fixed z-40 w-full h-full" :class="{
                    'left-0 top-0': folder.id == availableFolders[availableFolders.length - 1].id,
                    'left-0 bottom-0': folder.id !== availableFolders[availableFolders.length - 1].id,
                }" @click.prevent="folder.options = false"></div>
                <div v-if="folder.options" class="list-none absolute z-50 right-0 top-full bg-white shadow-lg w-40 rounded-md border border-slate-200 flex flex-col items-end gap-0 text-sm">
                    <span v-if="folder.id !== 'trash'" href="javascript:;" class="w-full px-3 py-2 cursor-pointer text-slate-500 font-medium hover:bg-slate-100 hover:text-slate-700 transition duration-150" @click.prevent="renameFolder(folder)">Rename</span>
                    <span v-if="folder.id !== 'trash'" href="javascript:;" class="w-full px-3 py-2 cursor-pointer text-slate-500 font-medium hover:bg-slate-100 hover:text-slate-700 transition duration-150" @click.prevent="embedFolder(folder.id)">Embed</span>                    
                    <span v-if="folder.id !== 'trash'" href="javascript:;" class="w-full px-3 py-2 cursor-pointer text-slate-500 font-medium hover:bg-slate-100 hover:text-slate-700 transition duration-150" @click.prevent="deleteFolderConfirmation(folder.id)">Delete</span>
                </div>

            </div>

        </div>
    </div>

</v-section>