<v-section class="w-full z-0 scrollbar-thin scrollbar-thumb-gray-400 scrollbar-track-gray-100">
    <div class="mb-6 flex items-center justify-between">
        <h2 class="font-semibold text-gray-700 tracking-wide text-sm sm:text-base">Reviews <small class="font-normal" v-if="review.search">(Found {{getCurrentReviews.length || 0}} review{{getCurrentReviews.length ? 's' : ''}})</small></h2>
        <div>
            <!-- tools -->
        </div>
        <div class="flex items-center justify-end gap-4 font-normal text-gray-400 hover:text-gray-700"> 
            <v-button v-if="getCurrentReviews.length && currentFolder == 'trash'" data-tooltip="Empty Recycle trash" data-position="right"  @click.prevent="emptyRecycleBin('trash')" icon bordered><span class="dashicons dashicons-trash"></span></v-button>
            <v-button v-if="selectedItems && selectedItems.length > 0" data-tooltip="Delete selected reviews" data-position="right"  @click.prevent="deleteSelected" icon bordered><span class="dashicons dashicons-trash"></span></v-button>
            <spinner size="md" @click.prevent="loadReviews(false)" class="cursor-pointer" data-tooltip="Reload Reviews" data-position="right" :spinning="temp.loadingReviews"></spinner>
            <v-button data-tooltip="Show Filters" @click.prevent="temp.showFilters = !temp.showFilters" data-position="right"  icon bordered><span class="dashicons dashicons-filter"></span></v-button>
        </div>
    </div>

    <!-- header  -->
    <row v-if="temp.showFilters && review && options" small class="flex items-center gap-2 w-full">
        <v-select before="Sort by" placeholder="Sort by" :options="options.orderBy" v-model="review.orderBy"></v-select>
        <v-select placeholder="Order" :options="options.sorts" v-model="review.order"></v-select> 
        <!-- <v-select placeholder="Filter privacy" :options="options.privacy_list" v-model="review.privacy"></v-select> -->
        <input type="text" v-model="review.search" class="form-input w-full" placeholder="Looking for..." />
    </row>

    <div class="evr-divider"></div>

    <!-- video gallery  -->
    <div v-if="getCurrentReviews && getCurrentReviews.length">

        <div class="w-full grid grid-cols-1 md:grid-cols-2 lg:grid-cols-3 gap-3 sm:gap-4 md:gap-5 lg:gap-6  rounded-sm">
            <review v-for="review in getCurrentReviews" v-model:item="review" :index="index"></review>
        </div> 

    </div>


    <!-- fallback gallery -->
    <div v-else class="my-2">
        <div v-if="review.items && review.items.length > 0" class="px-3 py-4 text-sm text-gray-500 text-center bg-yellow-50 rounded-md ">
            {{review.items.length > 0 ? (temp.rendering ? '<?php echo esc_html__('Loading videos', 'easy-video-reviews'); ?>' : '<?php echo esc_html__('Folder is empty', 'easy-video-reviews'); ?>' ) : '<?php echo esc_html__('No Reviews Recorded Yet', 'easy-video-reviews'); ?>'}}
        </div>
        <block v-else class="text-center">
            <v-title class="justify-center" small>
                {{review.items.length > 0 ? '<?php echo esc_html__('No reviews recorded yet.', 'easy-video-reviews'); ?>' : '<?php echo esc_html__('No Reviews Recorded Yet', 'easy-video-reviews'); ?>'}}
            </v-title>
            <div>
                <v-button @click.prevent="getStarted()"><?php echo esc_html__('Get Started', 'easy-video-reviews'); ?></v-button>
            </div>
        </block>
    </div>
</v-section>