<!-- button settings  -->

<v-section v-if="isScreen('button') && preference" @click="falseDoor">

  <v-title><?php echo esc_html__('Default Button Settings', 'easy-video-reviews'); ?>
    <pro />
  </v-title>

  <row :class="pro_class">
    <col-label><?php echo esc_html__('Button', 'easy-video-reviews'); ?></col-label>

    <div class="w-full">
      <div class="w-full bg-sky-50 h-32 p-3 flex items-center" :class="{
        'justify-center' : preference.default_button.alignment == 'center', 
        'justify-end' : preference.default_button.alignment == 'right'
      }">
        <editable :disabled="!isPro" :class="pro_class" class="cursor-pointer transition duration-100 py-2 px-4 rounded-sm hover:opacity-90" placeholder="Button text" :style="`
          color: ${preference.default_button.color}; 
          background: ${preference.default_button.background};
          font-size: ${preference.default_button.size}px;
        `" v-model="preference.default_button.text">{{preference.default_button.text}}</editable>
      </div>

      <div class="mt-2 text-xs text-gray-600">Click on the button to change button text</div>
    </div>


  </row>



  <!-- button color  -->
  <row :class="pro_class">
    <col-label><?php echo esc_html__('Style', 'easy-video-reviews'); ?></col-label>

    <div class="w-full flex items-center gap-3" :class="pro_class">
      <block class="w-32">
        <col-label>Text Color</col-label>
        <input :disabled="!isPro" type="color" class="form-input m-0 p-0 h-10" size="3" v-model="preference.default_button.color" />
      </block>

      <block>
        <col-label>Background Color</col-label>
        <input :disabled="!isPro" type="color" class="form-input m-0 p-0 h-10" size="3" v-model="preference.default_button.background" />
        </blo>

    </div>
  </row>

  <!-- button size  -->
  <row :class="pro_class">
    <col-label><?php echo esc_html__('Font size', 'easy-video-reviews'); ?></col-label>

    <div class="w-full">
      <v-select :disabled="!isPro" v-model="preference.default_button.size" :options="buttonSize"></v-select>
    </div>
  </row>

  <!-- alignment  -->
  <row :class="pro_class">
    <col-label><?php echo esc_html__('Alignment', 'easy-video-reviews'); ?></col-label>

    <div class="w-full" :class="{'pointer-events-none' : !isPro}">
      <div class="flex items-center divide-x">
        <span v-for="align in ['left', 'center', 'right']" href="javascript:;" class="cursor-pointer text-xl flex items-center justify-center h-10 w-11 transform  hover:bg-sky-600 bg-gray-100 hover:text-white rounded-sm overflow-hidden" :class="{'bg-sky-600 text-white' : preference.default_button.alignment == align, 'text-gray-600' : !preference.default_button.alignment == align}" @click.prevent="preference.default_button.alignment = align"><span class="dashicons" :class="`dashicons-align-${align}`"></span></span>
      </div>
    </div>
  </row> 

  <div class="text-right">
    <v-button @click.prevent="savePreferences(false)" :loading="temp.savingPreference" message="Saving.."><?php echo esc_html__('Save settings', 'easy-video-reviews'); ?></v-button>
  </div>

</v-section>