<!-- single video settings  -->
<v-section v-if="isScreen('embed') && preference">

  <v-title>Embed Settings</v-title>

  <row small>
    <col-label><?php echo esc_html__('Single Review Page', 'easy-video-reviews'); ?></col-label>
    <row no_margin block>
      <v-select :options="pages" placeholder="Select page" v-model="preference.review_page_id"></v-select>

      <p v-if="pages && pages.find(p => p.value == preference.review_page_id)" class="mb-3"> Single review page will be <span class="text-blue-400"><?php echo home_url(); ?>/{{ pages.find(p => p.value == preference.review_page_id).slug || ''}}?v={{ Math.random().toString(36).slice(2, 9) }} </p>
    </row>
  </row>


  <row small>
    <col-label><?php echo esc_html__('Default Recording Page', 'easy-video-reviews'); ?></col-label>
    <row no_margin block>
      <v-select :options="pages" placeholder="Select page" v-model="preference.recording_page_id"></v-select>

      <p v-if="pages && pages.find(p => p.value == preference.recording_page_id)" class="mb-3"> Users will be redirected to <span class="text-blue-400"><?php echo home_url(); ?>/{{ pages.find(p => p.value == preference.recording_page_id).slug || ''}}/?order_id=1</span> from emails.
        <br>
        Please put the short-code <span class="text-blue-400">[evr-button]Leave a video review[/evr-button]</span> <span class="cursor-pointer text-blue-500 text-xs hover:text-blue-400" @click.prevent="copyText('[evr-button]Leave a video review[/evr-button]')"><span class="dashicons dashicons-admin-page"></span></span> on the page to show the recording form
      </p>
      </p>
    </row>

  </row>

  <p v-if="preference.recording_page_id && preference.recording_page_id == preference.review_page_id" class="p-3 bg-red-100 border border-red-200 text-red-500 rounded-sm">Single review and default recording page can't be same!</p>

  <!-- submit button  -->
  <div class="text-right mt-3">
    <v-button @click.prevent="savePreferences(false)" :loading="temp.savingPreference" message="Saving..">
      <?php echo esc_html__('Save settings', 'easy-video-reviews'); ?></v-button>
  </div>

</v-section>