<v-section v-if="isScreen('recorder') && preference && preference.recorder">

  <v-title><?php echo esc_html__('Recorder Popup', 'easy-video-reviews'); ?></v-title>


  <!-- recording limits  -->
  <row center>

    <col-label>
      <?php echo esc_html__('Recording upto', 'easy-video-reviews'); ?>
    </col-label>

    <div  class="w-full flex flex-col sm:flex-row gap-2 sm:items-center justify-between">
      <div class="w-full flex items-center gap-2">
        <input type="number" min="10" :max="profile && profile.subscription ? profile.subscription.max_video_length : 120" class="form-input w-16" placeholder="120" v-model="preference.recorder.max_video_length" @input="preference.recorder.max_video_length = preference.recorder.max_video_length >= currentPlan.meta.max_video_length ? currentPlan.meta.max_video_length : preference.recorder.max_video_length" required />

        <span>seconds</span>

      </div>
      <div class="w-full flex items-center jusitfy-end gap-1">
        <span>Quick</span>
        <v-button size="xs" v-for="quick in [60, 120, 180, 300, 600]" @click.prevent="preference.recorder.max_video_length = quick" :class="{
          'opacity-50 pointer-events-none' : quick > subscription.max_video_length
        }">{{quick / 60}}m</v-button>
      </div>
    </div>

  </row>


  <!-- recording delay  -->
  <row center>

    <col-label><?php echo esc_html__('Starting delay', 'easy-video-reviews'); ?></col-label>

    <div class="w-full flex items-center gap-1 h-5">

      <v-switch v-model="preference.recorder.enable_delay">
        <?php echo __('Delay recording', 'easy-video-reviews'); ?>
      </v-switch>

      <div class="flex items-center gap-2 mt-0.5 text-slate-600" v-if="preference.recorder.enable_delay">
        <span>for</span>
        <input class="form-input w-14" min="0" max="60" type="number" placeholder="0" v-model="preference.recorder.delay" />
        <span class=""><?php echo esc_html__('seconds', 'easy-video-reviews'); ?></span>
      </div>
    </div>
  </row>

  <!-- preferences  -->
  <row @click="toggleFalseDoor">
    <col-label><?php echo esc_html__('Preferences', 'easy-video-reviews'); ?></col-label>

    <div class="flex flex-col w-full gap-0.5" :class="not_pro">

      <block>
        <v-switch v-model="preference.recorder.auto_publish" data-tooltip="Videos will be published automatically without moderation"><?php echo esc_html__('Publish video automatically', 'easy-video-reviews'); ?></v-switch>
      </block>

      <block>
        <v-switch v-model="preference.recorder.show_form" data-tooltip="Show forms after recording video"><?php echo esc_html__('Show Form Fields', 'easy-video-reviews'); ?> <pro></pro>
        </v-switch>
      </block>

      <block>
        <v-switch v-model="preference.recorder.allow_upload">
          <?php echo esc_html__('Allow uploading video', 'easy-video-reviews'); ?>
          <pro />
        </v-switch>
      </block>

      <block>
        <v-switch v-model="preference.recorder.show_publish_policy" data-tooltip="Ask for permission to publish video; Some countries has legal policy for this one.">
          <?php echo __('Show publish policy', 'easy-video-reviews'); ?>
          <pro />
        </v-switch>
      </block>

      <block>
        <v-switch v-model="preference.recorder.show_options" data-tooltip="Visitors can change devices instead of default microphone and camera">
          <?php echo esc_html__('Allow to choose devices', 'easy-video-reviews'); ?>
          <pro />
        </v-switch>
      </block>

    </div>
  </row>



  <div class="text-right">
    <v-button @click.prevent="savePreferences(false)" :loading="temp.savingPreference" message="Saving.."><?php echo esc_html__('Save settings', 'easy-video-reviews'); ?></v-button>
  </div>


</v-section>