 <v-section v-if="isScreen('shortcode')">


     <div class="flex flex-col md:flex-row w-full justify-start gap-3">


         <!-- short-code generator tool -->
         <div class="w-80 max-w-full bg-gray-100 px-4 py-4 rounded-md">
             <v-title small><?php echo esc_html__('Builder', 'easy-video-reviews'); ?> <pro></pro>
             </v-title>

             <row center>
                 <col-label light><?php echo esc_html__('I want to display', 'easy-video-reviews'); ?></col-label>
                 <button-group :options="options.shortcodeTypes" v-model="shortcode.type"></button-group>
             </row>

             <template v-if="shortcode.type === 'button'">

                 <!-- button  -->
                 <row center>
                     <col-label small light for="shortcode_label"><?php echo esc_html__('Button Text', 'easy-video-reviews'); ?></col-label>
                     <div class="w-full">
                         <input id="shortcode_label" type="text" class="form-input w-full" v-model="shortcode.button.text" placeholder="Button text">
                     </div>
                 </row>

                 <row center>
                     <col-label small light><?php echo esc_html__('Button Color', 'easy-video-reviews'); ?></col-label>
                     <block no_margin>
                         <color v-model="shortcode.button.color"></color>
                     </block>
                 </row>

                 <row center>
                     <col-label small light><?php echo esc_html__('Background', 'easy-video-reviews'); ?></col-label>
                     <block no_margin>
                         <color v-model="shortcode.button.background"></color>
                     </block>
                 </row>

                 <row center>
                     <col-label small light><?php echo esc_html__('Font Size', 'easy-video-reviews'); ?></col-label>
                     <row no_margin>
                         <slider v-model="shortcode.button.size"/>
                     </row>
                 </row>

                 <row center>
                     <col-label small light><?php echo esc_html__('Alignment', 'easy-video-reviews'); ?></col-label>
                     <button-group :options="options.aligns" v-model="shortcode.button.align"></button-group>
                 </row>

                 <row center>
                     <col-label small light data-tooltip="<?php _e("Tag is the group name of a video. Using tag, you can categorize your videos into groups. Like you can record video with the tag of 'support' and then can show videos within this tag, means you are showing only 'support' related videos, nothing else."); ?>"><?php echo esc_html__('Tag', 'easy-video-reviews'); ?></col-label>
                     <div class="w-full">
                         <input type="text" class="form-input w-full" v-model="shortcode.tags" placeholder="Tags">
                     </div>
                 </row>

             </template>

             <div v-else>
                 <!-- gallery shortcode generator  -->

                 <row center>
                     <col-label small light><?php echo __('Video Limit', 'easy-video-reviews'); ?></col-label>
                     <input type="number" class="form-input w-full" size="4" max="100" min="1" v-model="shortcode.showcase.limit" placeholder="Video limit">
                 </row>

                 <row center>
                     <col-label small light><?php echo __('Order', 'easy-video-reviews'); ?></col-label>
                     <button-group :options="options.orders" v-model="shortcode.showcase.order"></button-group>
                 </row>


                 <!-- columsn and gaps  -->

                 <!-- columns  -->
                 <row center>
                     <col-label small light> <?php echo esc_html__('Column', 'easy-video-reviews'); ?> </col-label>
                     <div class="w-full flex items-center gap-2">
                         <label title="Desktop" @click.prevent="shortcode.showcase.responsive = 'desktop'" :class="{'text-gray-600': !['smartphone', 'tablet'].includes(shortcode.showcase.responsive)}" class="cursor-pointer w-4 h-4 text-gray-300 transition duration-100"><i class="dashicons dashicons-desktop"></i></label>
                         <label title="Tablet" @click.prevent="shortcode.showcase.responsive = 'tablet'" :class="{'text-gray-600': shortcode.showcase.responsive == 'tablet'}" class="cursor-pointer w-4 h-4 text-gray-300 transition duration-100"><i class="dashicons dashicons-tablet"></i></label>
                         <label title="Smartphone" @click.prevent="shortcode.showcase.responsive = 'smartphone'" :class="{'text-gray-600': shortcode.showcase.responsive == 'smartphone'}" class="cursor-pointer w-4 h-4 text-gray-300 transition duration-100"><i class="dashicons dashicons-smartphone"></i></label>
                         <input v-if="shortcode.showcase.responsive == 'desktop'" type="number" class="form-input w-full" size="4" max="99" min="1" v-model="shortcode.showcase.columns" placeholder="4">
                         <input v-if="shortcode.showcase.responsive == 'tablet'" type="number" class="form-input w-full" size="4" max="99" min="1" v-model="shortcode.showcase.columns_tablet" placeholder="3">
                         <input v-if="shortcode.showcase.responsive == 'smartphone'" type="number" class="form-input w-full" size="4" max="99" min="1" v-model="shortcode.showcase.columns_mobile" placeholder="2">
                     </div>
                 </row>

                 <!-- gaps  -->
                 <row center>
                     <col-label small light><?php echo esc_html__('Video Gap', 'easy-video-reviews'); ?></col-label>
                     <div class="w-full flex items-center gap-2">
                         <label title="Desktop" @click.prevent="shortcode.showcase.responsive = 'desktop'" :class="{'text-gray-600': !['smartphone', 'tablet'].includes(shortcode.showcase.responsive)}" class="cursor-pointer w-4 h-4 text-gray-300 transition duration-100"><i class="dashicons dashicons-desktop"></i></label>
                         <label title="Tablet" @click.prevent="shortcode.showcase.responsive = 'tablet'" :class="{'text-gray-600': shortcode.showcase.responsive == 'tablet'}" class="cursor-pointer w-4 h-4 text-gray-300 transition duration-100"><i class="dashicons dashicons-tablet"></i></label>
                         <label title="Smartphone" @click.prevent="shortcode.showcase.responsive = 'smartphone'" :class="{'text-gray-600': shortcode.showcase.responsive == 'smartphone'}" class="cursor-pointer w-4 h-4 text-gray-300 transition duration-100"><i class="dashicons dashicons-smartphone"></i></label>
                         <input v-if="shortcode.showcase.responsive == 'desktop'" type="number" class="form-input w-full" size="4" max="12" min="1" v-model="shortcode.showcase.gap" placeholder="4">
                         <input v-if="shortcode.showcase.responsive == 'tablet'" type="number" class="form-input w-full" size="4" max="12" min="1" v-model="shortcode.showcase.gap_tablet" placeholder="3">
                         <input v-if="shortcode.showcase.responsive == 'smartphone'" type="number" class="form-input w-full" size="4" max="12" min="1" v-model="shortcode.showcase.gap_mobile" placeholder="2">
                     </div>
                 </row>



                 <row>
                     <col-label small light><?php echo __('Others', 'easy-video-reviews') ?></col-label>
                     <div class="w-full flex flex-col gap-3">
                         <v-switch v-model="shortcode.showcase.date">Show created date</v-switch>
                         <v-switch v-model="shortcode.showcase.rounded">Rounded box</v-switch>
                     </div>
                 </row>

                 <row>

                     <col-label light><?php echo esc_html__('Showcase View', 'easy-video-reviews'); ?></col-label>

                     <div class="w-full">
                         <button-group :options="options.view_types" v-model="shortcode.showcase.view"></button-group>
                     </div>
                 </row>


                 <!-- carousel options  -->

                 <transition name="fade">
                     <div v-if="shortcode.showcase.view == 'slider'">
                         <row center small>
                             <col-label small light><?php echo __('Autoplay', 'easy-video-reviews'); ?></col-label>
                             <div class="w-full">
                                 <v-switch v-model="shortcode.showcase.autoplay">Autoplay carousel</v-switch>
                             </div>
                         </row>

                         <row center small v-if="shortcode.showcase.autoplay">
                             <col-label small light><?php echo esc_html__('Delay', 'easy-video-reviews'); ?></col-label>
                             <input type="number" class="form-input w-full" size="4" max="100" min="1" v-model="shortcode.showcase.delay" placeholder="Autoplay delay">
                         </row>

                         <row center small>
                             <col-label small light><?php echo __('Pagination', 'easy-video-reviews'); ?></col-label>
                             <div class="w-full">
                                 <v-switch v-model="shortcode.showcase.pagination">Show pagination</v-switch>
                             </div>
                         </row>

                         <row center small>
                             <col-label small light><?php echo __('Navigation', 'easy-video-reviews'); ?></col-label>
                             <div class="w-full">
                                 <v-switch v-model="shortcode.showcase.navigation">Show navigation</v-switch>
                             </div>
                         </row>

                         <row center small>
                             <col-label small light><?php echo __('Scrollbar', 'easy-video-reviews'); ?></col-label>
                             <div class="w-full">
                                 <v-switch v-model="shortcode.showcase.scrollbar">Show scrollbar</v-switch>
                             </div>
                         </row>

                     </div>
                 </transition>

                 <row center>
                     <col-label small light data-tooltip="<?php echo __("Tag is the group name of a video. Using tag, you can categorize your videos into groups. Like you can record video with the tag of 'support' and then can show videos within this tag, means you are showing only 'support' related videos, nothing else."); ?>"><?php echo esc_html__('Video Tag', 'easy-video-reviews'); ?></col-label>
                     <div class="w-full">
                         <input type="text" class="form-input w-full" max="100" min="1" v-model="shortcode.showcase.tags" placeholder="Tags">
                     </div>
                 </row>

             </div>

         </div>

         <!-- preview  -->
         <div class="w-full min-w-sm">
             <v-title small><?php echo esc_html__('Shortcode', 'easy-video-reviews'); ?></v-title>

             <block>
                 <code @click.prevent="copy_shortcode()" class="bg-gray-100 select-all inline-block my-2 text-sm text-red-600 py-3 px-4 rounded-sm">{{shortcode_rendered}}</code>
             </block>


             <block v-if="shortcode.type == 'button'">
                 <v-title><?php echo esc_html__('Preview', 'easy-video-reviews'); ?></v-title>
                 <div :class="`text-${shortcode.button.align}`">
                     <a @click.prevent="copy_shortcode()" href="javascript:;" class="no-underline  transition duration-100 py-2 px-4 rounded-sm hover:opacity-80" :style="`color: ${shortcode.button.color}; background: ${shortcode.button.background}; font-size: ${shortcode.button.size}px`">{{shortcode.button.text}}</a>
                 </div>
             </block>
         </div>

     </div>

 </v-section>